GET /v2/roles_entities/graph(/on/:field(/by/:interval))
Return grouped temporal data on roles entities
Count all occurences on a particular field (default on created_at) by a particular period, starting from the first occurence to now.
settings Params
| Param name | Description |
|---|---|
| field |
optional
. Must be one of: created_at, updated_at, expires_at.
The date field to graph on. Default to |
| interval |
optional
. Must be one of: day, week, month, quarter, year, hour_of_day, day_of_week, day_of_month, month_of_year.
The interval to graph by. Default to |
| sort |
optional
. Must be one of: id, role_id, entity_id, expires_at, created_at, updated_at, entity_type.
The sort field. Sorted by id desc by default. MoreExample:To sort on roles entities on the fields updated_at on a descending order and entity_type on a ascending order: ...&sort=-updated_at,entity_type |
| filter |
optional
. Must be one of: id, role_id, entity_id, expires_at, created_at, updated_at, entity_type, expires.
Filtering on one or more fields MoreExample:
To filter on roles entities with the
...&filter[id]=a_value,another_value Filterable fields:
|
| range |
optional
. Must be one of: id, role_id, entity_id, expires_at, created_at, updated_at, entity_type.
Select on a particular range MoreExample:
To range on roles entities with the
...&range[entity_type]=min_value,max_value Rangeable fields:
|
Examples
GET /v2/roles_entities/graph/on/created_at/by/day
200
{
"2017-11-22": 20
}
curl -H "Authorization: Bearer YOUR_ACCESS_TOKEN" "https://api.intra.42.fr/v2/roles_entities/graph/on/created_at/by/day"
{
"2017-11-22": 20
}
require "oauth2"
UID = "Your application uid"
SECRET = "Your application secret"
client = OAuth2::Client.new(UID, SECRET, site: "https://api.intra.42.fr")
token = client.client_credentials.get_token
response = token.get("/v2/roles_entities/graph/on/created_at/by/day")
response.status
# => 200
response.parsed
# => {"2017-11-22"=>20}